@charset "UTF-8";
@import url(/css/low.css);

body{
    width: 100%;
    height: 100%;
    position: relative;
    z-index: 0;

    &:after{
        content: "";
        background-image: url(/images/recruit/bg.png);
        background-size: 100%;
        background-position: top center;
        background-repeat: no-repeat;
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        z-index: -1;
    }
}

section#content01{
    margin: 0 auto 2%;

    .text{
        max-width: 940px;
        margin: 0 auto;
        padding: 3% 0 0;

        p{
            line-height: 1.6em;

            &.date{
                text-align: right;
            }
        }
    }
}
section#content02{
    margin: 0 auto 0;
    padding: 5% 0 0;

    .inner{
        max-width: unset;
        width: 100%;

        h2{
            border-bottom: 3px solid var(--color01);
            color: var(--color01);
            font-size: var(--font20-24);
            font-weight: 600;
            max-width: var(--width01);
            margin: 0 auto 30px;
            padding: 0 0 20px 30px;
        }
        .card{
            display: flex;
            flex-wrap: wrap;
            /* align-items: center; */
            margin: 0 auto 5%;
            padding: 30px 30px;
            position: relative;

            &:before{
                content:"";
                width: 70%;
                height: 75%;
                position: absolute;
                top: 0;
                left: 0;
                z-index: -1;
            }

            .left{
                width: 55%;
                padding: 0 0 0;

                h3{
                    background: var(--colorW);
                    text-align: center;
                    padding: 10px 0 10px;
                    margin: 0 50px 20px auto;
                    max-width: 640px;
                    width: 80%;
                }
                p{
                    color: var(--colorW);
                    line-height: 2.0em;
                    margin: 0 50px 20px auto;
                    max-width: 640px;
                    width: 80%;
                }
                img{
                    display: block;
                    width: 270px;
                    margin: 0 auto;
                }
            }

            &.card01,&.card03,&.card05{
                &:before{
                    background: var(--color09);
                }
            }
            &.card03{
                &:before{
                    height: 60%;
                }
            }
            &.card01 .left,&.card03 .left,&.card05 .left {
                h3{
                    color:var(--color09);
                }
            }

            &.card02,&.card04,&.card06{
                &:before{
                    background: var(--color10);
                    left: unset;
                    right: 0;                
                }
            }

            &.card02 .left,&.card04 .left,&.card06 .left{ 
                order: 2;
                h3{
                    color:var(--color10);
                }
            }
            picture{
                width: 45%;

                img {
                    display: block;
                    margin: 0 auto 0 0;
                    width: 70%;
                }
            }
            &.card02 .left,&.card04 .left,&.card06 .left{
                width: 50%;
            }
            &.card02 picture,&.card04 picture,&.card06 picture{
                width: 50%;
                order:1;

                img {
                    margin: 0 0 0 auto;
                }
            }
        }
    }
}
section#content03{
    margin: 0 auto 5%;
    padding: 0;

    .inner{
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        gap: 3%;

        .links{
            width: 45%;

            h3{
                border-bottom: 3px solid var(--color01);
                color: var(--color01);
                margin: 0 auto 10px;
                padding: 0 0 10px;
            }

            a{
                color: var(--colorW);
                display: flex;
                width: 100%;
                padding: 50px 50px;
                position: relative;

                &:before{
                    content: "";
                    background: rgba(0, 0, 0, 0.5);
                    border: 1px solid var(--colorW);
                    width: 92%;
                    height: 80%;
                    position: absolute;
                    top: 10%;
                    left: 4%;
                    transition: all ease 0.5s;
                }
                &:hover:before{
                    background: rgba(0, 0, 0, 0.6);
                }

                &:after{
                    content:"";
                    width: 0;
                    height: 0;
                    border-style: solid;
                    border-right: 13px solid transparent;
                    border-left: 13px solid transparent;
                    border-bottom: 13px solid #ccc;
                    border-top: 0;
                    transform: rotate(135deg);
                    position: absolute;
                    bottom: 9%;
                    right: 2.7%;

                }

                span{
                    position: relative;
                    z-index: 1;
                }
            }

            &.link01 a{
                background: url(/images/recruit/link01.png);
                background-size: cover;

                &:after{
                    content:"";
                    border-bottom: 13px solid #58a6d9;

                }
            }
            &.link02 a{
                background: url(/images/recruit/link02.png);
                background-size: cover;

                &:after{
                    content:"";
                    border-bottom: 13px solid #e6cf58;

                }
            }
        }
    }

}

@media all and (max-width:768px){
    body{
        background: linear-gradient(180deg, rgba(178, 201, 221, 0.2) 0%, rgba(255, 255, 255, 1) 12%);

        &:after{
            background-size: 110%;
            background-image: url(/images/business/bg_sp.png);
            top: 60px;
        }
    }

    main{
        padding: 0;

        .mainWrap{
            padding:30px 0 100px;

            .inner{
                max-width: 320px;
                width: 80%;
                padding: 48px 0;
                
                h2{
                    &:after{
                        width: 200%;
                        left: -50%;
                    }
                }
            }

            &:after{
                width: 270px;
                height: 230px;
            }
        }
    }

    section#content01 {
        margin: 0 auto 8%;

        .text{
            width: 90%;
            margin: 0 auto;
            padding: 0;

            p{
                line-height: 2.0em;
            }
        }
    }

    section#content02 {
        width: 90%;

        .inner{
            .card{
                .left{
                    width: 100%;
                    margin: 0 0 5%;

                    h3{
                        margin: 0 auto 20px;
                        width: 100%;
                    }
                    p{
                        width: 100%;
                    }
                }

                picture{
                    width: 100%;

                    img{
                        width: 100%;
                    }
                }

                &.card02 .left, &.card04 .left, &.card06 .left{
                    width: 100%;
                    order: 1;
                }

                &.card02 picture, &.card04 picture, &.card06 picture{
                    width: 100%;
                    order: 2;
                }
                &.card03:before{
                    height: 50%;
                }

                &:before{
                    width: 100%;
                    height: 65%;
                }
            }
        }
        
    }
    section#content03{
        .inner{
            .links{
                width: 90%;
                margin: 0 auto 5%;
                a{
                    &:after{
                        right:1.7%;
                    }
                }
            }
        }
    }
}